# HarmonicAngleForce Class Reference

This class implements an interaction between groups of three particles that varies harmonically with the angle between them. More...

Inheritance diagram for HarmonicAngleForce:

List of all members.

## Public Member Functions

def | getNumAngles
| getNumAngles(self) -> int
def | addAngle
| addAngle(self, int particle1, int particle2, int particle3, double angle, double k) -> int
def | getAngleParameters
| getAngleParameters(self, int index)
def | setAngleParameters
| setAngleParameters(self, int index, int particle1, int particle2, int particle3, double angle, double k)
def | updateParametersInContext
| updateParametersInContext(self, Context context)
def | __init__
| __init__(self) -> HarmonicAngleForce __init__(self, HarmonicAngleForce other) -> HarmonicAngleForce
def | __del__
| __del__(self)

## Public Attributes

| this

## Detailed Description

This class implements an interaction between groups of three particles that varies harmonically with the angle between them.

To use it, create a HarmonicAngleForce object then call addAngle() once for each angle. After an angle has been added, you can modify its force field parameters by calling setAngleParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

## Member Function Documentation

def __del__ | ( |  | self | ) |

__del__(self)

Reimplemented from Force.

def __init__ | ( |  | self,
|  |  | args |
| ) |  |  |

__init__(self) -> HarmonicAngleForce __init__(self, HarmonicAngleForce other) -> HarmonicAngleForce

Create a HarmonicAngleForce.

def addAngle | ( |  | self,
|  |  | args |
| ) |  |  |

addAngle(self, int particle1, int particle2, int particle3, double angle, double k) -> int

Add an angle term to the force field.

Parameters:

  | particle1 | the index of the first particle forming the angle
  | particle2 | the index of the second particle forming the angle
  | particle3 | the index of the third particle forming the angle
  | angle | the equilibrium angle, measured in radians
  | k | the harmonic force constant for the angle, measured in kJ/mol/radian^2

def getAngleParameters | ( |  | self,
|  |  | args |
| ) |  |  |

getAngleParameters(self, int index)

Get the force field parameters for an angle term.

Parameters:

  | index | the index of the angle for which to get parameters
  | particle1 | the index of the first particle forming the angle
  | particle2 | the index of the second particle forming the angle
  | particle3 | the index of the third particle forming the angle
  | angle | the equilibrium angle, measured in radians
  | k | the harmonic force constant for the angle, measured in kJ/mol/radian^2

def getNumAngles | ( |  | self | ) |

getNumAngles(self) -> int

Get the number of harmonic bond angle terms in the potential function

def setAngleParameters | ( |  | self,
|  |  | args |
| ) |  |  |

setAngleParameters(self, int index, int particle1, int particle2, int particle3, double angle, double k)

Set the force field parameters for an angle term.

Parameters:

  | index | the index of the angle for which to set parameters
  | particle1 | the index of the first particle forming the angle
  | particle2 | the index of the second particle forming the angle
  | particle3 | the index of the third particle forming the angle
  | angle | the equilibrium angle, measured in radians
  | k | the harmonic force constant for the angle, measured in kJ/mol/radian^2

def updateParametersInContext | ( |  | self,
|  |  | args |
| ) |  |  |

updateParametersInContext(self, Context context)

Update the per-angle parameters in a Context to match those stored in this Force object. This method provides an efficient method to update certain parameters in an existing Context without needing to reinitialize it. Simply call setAngleParameters() to modify this object's parameters, then call updateParametersInState() to copy them over to the Context.

The only information this method updates is the values of per-angle parameters. The set of particles involved in a angle cannot be changed, nor can new angles be added.

## Member Data Documentation

this

The documentation for this class was generated from the following file:

- openmm.py